How to patch Spectre Vulnerability CVE-2017-5753/CVE-2017-5715 on Linux?


Fix the Spectre on a CentOS/RHEL/Fedora/Oracle/Scientific Linux

Type the following yum command:

 

$ uname -r
3.10.0-693.11.1.el7.x86_64
$ sudo yum update


You must reboot your Linux server using shutdown/reboot command:

 

$ sudo reboot
$ uname -r
3.10.0-693.11.6.el7.x86_64

 

Verify all 3 CVEs (you must see the output:

 

$ rpm -q --changelog kernel | egrep 'CVE-2017-5715|CVE-2017-5753|CVE-2017-5754'

 

Run the following dnf command if you are using a Fedora Linux:

 

$ sudo dnf --refresh update kernel

 

OR

 

sudo dnf update

 

Reboot the Linux box:

 

$ sudo reboot


Fix the Spectre on a Debian/Ubuntu Linux

Use the following apt-get command/apt command:

 

$ sudo apt-get update
$ sudo apt-get upgrade
$ sudo shutdown -r 0


Fix the Spectre on an Amazon Linux running on AWS

Just run yum command:

 

# yum update kernel
# reboot


Fix the Spectre on an Arch Linux

Just run Pacman command:

 

# pacman -Syu
# reboot
Was this answer helpful? 0 Users Found This Useful (0 Votes)